Get comment activity
curl --request GET \
--url https://api.surefeedback.com/api/v1/comments/activity \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.surefeedback.com/api/v1/comments/activity"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.surefeedback.com/api/v1/comments/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "activity-001",
"type": "comment.updated",
"action": "updated",
"timestamp": "2026-03-27T10:15:00Z",
"user": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "Jane",
"lastName": "Smith",
"email": "[email protected]"
},
"comment": {
"id": "990e8400-e29b-41d4-a716-446655440004",
"content": "The header looks misaligned on mobile.",
"pageUrl": "https://example.com/home",
"pageTitle": "Home"
},
"description": "Jane Smith updated a comment.",
"metadata": {
"comment_id": "990e8400-e29b-41d4-a716-446655440004"
}
}
]
}
Comments
Get comment activity
Retrieve comment activity logs for a site.
GET
/
comments
/
activity
Get comment activity
Returns recent activity for comments on a site, including who performed the action and which comment was affected.
Query parameters
string
required
UUID of the site.
string
Filter by action, for example
created, updated, resolved, or replied.string
Filter by user UUID.
integer
Limit results to the last N days.
integer
Maximum number of records to return. Default:
50.{
"success": true,
"data": [
{
"id": "activity-001",
"type": "comment.updated",
"action": "updated",
"timestamp": "2026-03-27T10:15:00Z",
"user": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "Jane",
"lastName": "Smith",
"email": "[email protected]"
},
"comment": {
"id": "990e8400-e29b-41d4-a716-446655440004",
"content": "The header looks misaligned on mobile.",
"pageUrl": "https://example.com/home",
"pageTitle": "Home"
},
"description": "Jane Smith updated a comment.",
"metadata": {
"comment_id": "990e8400-e29b-41d4-a716-446655440004"
}
}
]
}
Was this page helpful?
⌘I